Package org.xnio.management

# Interface XnioWorkerMXBean

public interface XnioWorkerMXBean

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`int`
`getBusyWorkerThreadCount()`
Get an estimate of the number of busy threads in the worker pool.
`int`
`getCoreWorkerPoolSize()`
Get the core worker thread pool size.
`int`
`getIoThreadCount()`
Get the I/O thread count.
`int`
`getMaxWorkerPoolSize()`
Get the maximum worker thread pool size.
`String`
`getName()`
Get the worker's name.
`String`
`getProviderName()`
Get the name of the provider.
`Set<XnioServerMXBean>`
`getServerMXBeans()`
Get servers that are opened under this worker.
`int`
`getWorkerPoolSize()`
Get an estimate of the number of threads in the worker pool.
`int`
`getWorkerQueueSize()`
Get an estimate of the number of tasks in the worker queue.
`boolean`
`isShutdownRequested()`
Determine whether shutdown has been requested for this worker.

## Method Details

### getProviderName

String getProviderName()
Get the name of the provider.

Returns:
  the name of the provider

### getName

String getName()
Get the worker's name.

Returns:
  the worker's name

### isShutdownRequested

boolean isShutdownRequested()
Determine whether shutdown has been requested for this worker.

Returns:
  `true` if shutdown was requested, `false` otherwise

### getCoreWorkerPoolSize

int getCoreWorkerPoolSize()
Get the core worker thread pool size.

Returns:
  the core worker pool size

### getMaxWorkerPoolSize

int getMaxWorkerPoolSize()
Get the maximum worker thread pool size.

Returns:
  the maximum worker pool size

### getWorkerPoolSize

int getWorkerPoolSize()
Get an estimate of the number of threads in the worker pool.

Returns:
  the estimated number of threads in the worker pool

### getBusyWorkerThreadCount

int getBusyWorkerThreadCount()
Get an estimate of the number of busy threads in the worker pool.

Returns:
  the estimated number of busy threads in the worker pool

### getIoThreadCount

int getIoThreadCount()
Get the I/O thread count.

Returns:
  the I/O thread count

### getWorkerQueueSize

int getWorkerQueueSize()
Get an estimate of the number of tasks in the worker queue.

Returns:
  the task count estimate

### getServerMXBeans

Set<XnioServerMXBean> getServerMXBeans()
Get servers that are opened under this worker.

Returns:
  set of `XnioServerMXBean`